Bug 1044185 - dbscan on entryrdn should show all matching values
Summary: dbscan on entryrdn should show all matching values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:46 UTC by Nathan Kinder
Modified: 2015-03-05 09:32 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:32:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:46:18 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47530

dbscan -f entryrdn.db4 -k C1
should show all entries that are children of C1

Comment 4 Amita Sharma 2014-12-29 11:06:52 UTC
[root@dhcp201-126 db]#  dbscan -f /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/entryrdn.db -k C1
C1
  ID: 2; RDN: "cn=Directory Administrators"; NRDN: "cn=directory administrators"
C1
  ID: 3; RDN: "ou=Groups"; NRDN: "ou=groups"
C3
    ID: 6; RDN: "cn=Accounting Managers"; NRDN: "cn=accounting managers"
6
    ID: 6; RDN: "cn=Accounting Managers"; NRDN: "cn=accounting managers"
P6
    ID: 3; RDN: "ou=Groups"; NRDN: "ou=groups"
C3
    ID: 7; RDN: "cn=HR Managers"; NRDN: "cn=hr managers"
7
    ID: 7; RDN: "cn=HR Managers"; NRDN: "cn=hr managers"
P7
    ID: 3; RDN: "ou=Groups"; NRDN: "ou=groups"
C3
    ID: 9; RDN: "cn=PD Managers"; NRDN: "cn=pd managers"
9
    ID: 9; RDN: "cn=PD Managers"; NRDN: "cn=pd managers"
P9
    ID: 3; RDN: "ou=Groups"; NRDN: "ou=groups"
C3
    ID: 8; RDN: "cn=QA Managers"; NRDN: "cn=qa managers"
8
    ID: 8; RDN: "cn=QA Managers"; NRDN: "cn=qa managers"
P8
    ID: 3; RDN: "ou=Groups"; NRDN: "ou=groups"
C1
  ID: 4; RDN: "ou=People"; NRDN: "ou=people"
C1
  ID: 5; RDN: "ou=Special Users"; NRDN: "ou=special users"
C1
  ID: 11; RDN: "uid=ami"; NRDN: "uid=ami"
C1
  ID: 12; RDN: "uid=ami1"; NRDN: "uid=ami1"
C1
  ID: 13; RDN: "uid=ami2"; NRDN: "uid=ami2"
C1
  ID: 14; RDN: "uid=ami3"; NRDN: "uid=ami3"
C1
  ID: 15; RDN: "uid=ami4"; NRDN: "uid=ami4"
C1
  ID: 16; RDN: "uid=ami5"; NRDN: "uid=ami5"
C1
  ID: 10; RDN: "uid=test1"; NRDN: "uid=test1"
[root@dhcp201-126 db]#  dbscan -f /var/lib/dirsrv/slapd-dhcp201-126/db/userRoot/entryrdn.db -k C1 | wc -l
46
[root@dhcp201-126 db]# rpm -qa | grep 389
389-ds-base-libs-1.3.3.1-10.el7.x86_64
389-ds-base-1.3.3.1-10.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-10.el7.x86_64

Marking as VERIFIED.

Comment 6 errata-xmlrpc 2015-03-05 09:32:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.